import { jsxs, jsx } from 'react/jsx-runtime';
import * as React from 'react';

const defaultColor = "#151515";
const SiCodesandbox = React.forwardRef(function SiCodesandbox2({ title = "CodeSandbox", color = "currentColor", size = 24, ...others }, ref) {
  if (color === "default") {
    color = defaultColor;
  }
  return /* @__PURE__ */ jsxs(
    "svg",
    {
      xmlns: "http://www.w3.org/2000/svg",
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      ref,
      ...others,
      children: [
        /* @__PURE__ */ jsx("title", { children: title }),
        /* @__PURE__ */ jsx("path", { d: "M0 24H24V0H0V2.45455H21.5455V21.5455H2.45455V0H0Z" })
      ]
    }
  );
});

export { SiCodesandbox as default, defaultColor };
