import { jsxs, jsx } from 'react/jsx-runtime';
import * as React from 'react';

const defaultColor = "#466BB0";
const SiIstio = React.forwardRef(function SiIstio2({ title = "Istio", color = "currentColor", size = 24, ...others }, ref) {
  if (color === "default") {
    color = defaultColor;
  }
  return /* @__PURE__ */ jsxs(
    "svg",
    {
      xmlns: "http://www.w3.org/2000/svg",
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      ref,
      ...others,
      children: [
        /* @__PURE__ */ jsx("title", { children: title }),
        /* @__PURE__ */ jsx("path", { d: "M4 21 20 21 10 24zM4 20 10 19 10 8zM11 19 20 20 11 0z" })
      ]
    }
  );
});

export { SiIstio as default, defaultColor };
