import { jsxs, jsx } from 'react/jsx-runtime';
import * as React from 'react';

const defaultColor = "#282C33";
const SiLucid = React.forwardRef(function SiLucid2({ title = "Lucid", color = "currentColor", size = 24, ...others }, ref) {
  if (color === "default") {
    color = defaultColor;
  }
  return /* @__PURE__ */ jsxs(
    "svg",
    {
      xmlns: "http://www.w3.org/2000/svg",
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      ref,
      ...others,
      children: [
        /* @__PURE__ */ jsx("title", { children: title }),
        /* @__PURE__ */ jsx("path", { d: "M12 0 3.694 4.8V24L12 19.2Zm0 19.2v4.502h8.305V14.4Z" })
      ]
    }
  );
});

export { SiLucid as default, defaultColor };
