import { jsxs, jsx } from 'react/jsx-runtime';
import * as React from 'react';

const defaultColor = "#CD040B";
const SiVerizon = React.forwardRef(function SiVerizon2({ title = "Verizon", color = "currentColor", size = 24, ...others }, ref) {
  if (color === "default") {
    color = defaultColor;
  }
  return /* @__PURE__ */ jsxs(
    "svg",
    {
      xmlns: "http://www.w3.org/2000/svg",
      width: size,
      height: size,
      fill: color,
      viewBox: "0 0 24 24",
      ref,
      ...others,
      children: [
        /* @__PURE__ */ jsx("title", { children: title }),
        /* @__PURE__ */ jsx("path", { d: "M18.302 0H22v.003L10.674 24H7.662L2 12h3.727l3.449 7.337z" })
      ]
    }
  );
});

export { SiVerizon as default, defaultColor };
