
    import * as React from 'react';

    import { IconType } from '../types';

    type SiCollaboraonlineProps = React.ComponentPropsWithoutRef<'svg'> & {
      /**
       * The title provides an accessible short text description to the SVG
       */
      title?: string;
      /**
       * Hex color or color name or "default" to use the default hex for each icon
       */
      color?: string;
      /**
       * The size of the Icon.
       */
      size?: string | number;
    }

    const defaultColor = '#5C2983';

    const SiCollaboraonline: IconType = React.forwardRef<SVGSVGElement, SiCollaboraonlineProps>(function SiCollaboraonline({title = 'Collabora Online', color = 'currentColor', size = 24, ...others }, ref) {
      if (color === 'default') {
        color = defaultColor;
      }

      return (
        <svg
          xmlns='http://www.w3.org/2000/svg'
          width={size}
          height={size}
          fill={color}
          viewBox='0 0 24 24'
          ref={ref}
          {...others}
        >
          <title>{title}</title>
          <path d='M8.852 0 3.55 5.303 10.247 12 3.55 18.698 8.852 24l12-12zM3.147 5.706v12.588L9.442 12z' />
        </svg>
      );
    });

    export { SiCollaboraonline as default, defaultColor };
  