
    import * as React from 'react';

    import { IconType } from '../types';

    type SiSaltprojectProps = React.ComponentPropsWithoutRef<'svg'> & {
      /**
       * The title provides an accessible short text description to the SVG
       */
      title?: string;
      /**
       * Hex color or color name or "default" to use the default hex for each icon
       */
      color?: string;
      /**
       * The size of the Icon.
       */
      size?: string | number;
    }

    const defaultColor = '#57BCAD';

    const SiSaltproject: IconType = React.forwardRef<SVGSVGElement, SiSaltprojectProps>(function SiSaltproject({title = 'Salt Project', color = 'currentColor', size = 24, ...others }, ref) {
      if (color === 'default') {
        color = defaultColor;
      }

      return (
        <svg
          xmlns='http://www.w3.org/2000/svg'
          width={size}
          height={size}
          fill={color}
          viewBox='0 0 24 24'
          ref={ref}
          {...others}
        >
          <title>{title}</title>
          <path d='M0 12v10.56h12L18 12h6V1.44H12L6 12Z' />
        </svg>
      );
    });

    export { SiSaltproject as default, defaultColor };
  