
    import * as React from 'react';

    import { IconType } from '../types';

    type SiThurgauerkantonalbankProps = React.ComponentPropsWithoutRef<'svg'> & {
      /**
       * The title provides an accessible short text description to the SVG
       */
      title?: string;
      /**
       * Hex color or color name or "default" to use the default hex for each icon
       */
      color?: string;
      /**
       * The size of the Icon.
       */
      size?: string | number;
    }

    const defaultColor = '#006D41';

    const SiThurgauerkantonalbank: IconType = React.forwardRef<SVGSVGElement, SiThurgauerkantonalbankProps>(function SiThurgauerkantonalbank({title = 'Thurgauer Kantonalbank', color = 'currentColor', size = 24, ...others }, ref) {
      if (color === 'default') {
        color = defaultColor;
      }

      return (
        <svg
          xmlns='http://www.w3.org/2000/svg'
          width={size}
          height={size}
          fill={color}
          viewBox='0 0 24 24'
          ref={ref}
          {...others}
        >
          <title>{title}</title>
          <path d='M21.872 2.262H10.775l-6.14 9.743 6.14 9.771h11.097l-6.135-9.77 6.135-9.744zM0 .297v23.406h24V.297H0zm23.057 22.486L.943 22.778V1.228h22.109l.005 21.555z' />
        </svg>
      );
    });

    export { SiThurgauerkantonalbank as default, defaultColor };
  